Bug 1468417 - [abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software killed by signal 11
[abrt] gnome-software: gtk_stack_set_visible_child_name(): gnome-software kil...
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:22067155ba4ed0674c3f574085f...
:
: 1406565 1411457 1474592 1486796 1493405 1495040 1497617 1507329 1509388 1509548 1509687 1513219 1513460 1513719 1513922 1514748 1516111 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 23:12 EDT by Aditya Shah
Modified: 2017-12-17 17:23 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.64 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: core_backtrace (18.36 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: dso_list (18.56 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: environ (1.59 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: maps (89.42 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: open_fds (6.60 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details
File: var_log_messages (20.81 KB, text/plain)
2017-07-06 23:12 EDT, Aditya Shah
no flags Details

  None (edit)
Description Aditya Shah 2017-07-06 23:12:13 EDT
Description of problem:
I was installing evince through flatpak, when gnome-software crashed

Version-Release number of selected component:
gnome-software-3.24.3-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=30cb074dfcfa42d6a1111681475cc86b;i=4bee3;b=146c0c1984d64d47a884e986c72e5650;m=9b5c58bd2;t=553b177336c22;x=7d8558fc0d0d87d8
kernel:         4.11.8-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gtk_stack_set_visible_child_name at gtkstack.c:1839
 #1 get_sources_cb at gs-sources-dialog.c:328
 #2 g_task_return_now at gtask.c:1145
 #3 complete_in_idle_cb at gtask.c:1159
 #8 g_main_context_iteration at gmain.c:4033
 #9 g_application_run at gapplication.c:2381

Potential duplicate: bug 1336013
Comment 1 Aditya Shah 2017-07-06 23:12:17 EDT
Created attachment 1295160 [details]
File: backtrace
Comment 2 Aditya Shah 2017-07-06 23:12:19 EDT
Created attachment 1295161 [details]
File: cgroup
Comment 3 Aditya Shah 2017-07-06 23:12:20 EDT
Created attachment 1295162 [details]
File: core_backtrace
Comment 4 Aditya Shah 2017-07-06 23:12:21 EDT
Created attachment 1295163 [details]
File: cpuinfo
Comment 5 Aditya Shah 2017-07-06 23:12:22 EDT
Created attachment 1295164 [details]
File: dso_list
Comment 6 Aditya Shah 2017-07-06 23:12:24 EDT
Created attachment 1295165 [details]
File: environ
Comment 7 Aditya Shah 2017-07-06 23:12:25 EDT
Created attachment 1295166 [details]
File: exploitable
Comment 8 Aditya Shah 2017-07-06 23:12:26 EDT
Created attachment 1295167 [details]
File: limits
Comment 9 Aditya Shah 2017-07-06 23:12:29 EDT
Created attachment 1295168 [details]
File: maps
Comment 10 Aditya Shah 2017-07-06 23:12:31 EDT
Created attachment 1295169 [details]
File: open_fds
Comment 11 Aditya Shah 2017-07-06 23:12:33 EDT
Created attachment 1295170 [details]
File: proc_pid_status
Comment 12 Aditya Shah 2017-07-06 23:12:35 EDT
Created attachment 1295171 [details]
File: var_log_messages
Comment 13 Daniel 2017-07-08 18:46:36 EDT
Similar problem has been detected:

From the top menu, I opened Software Sources. I waited ten seconds, but the list of sources never loaded. I closed the windows, and GNOME Software promptly crashed. "kdevelop" was being installed in the background during this process.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=f0582efc7b8a4e9faa3527895160b527;i=f00b8;b=79919e4e244648cc898cebaba2a8a952;m=78ec8a7751;t=553d613c58182;x=edb1672b7dcc659a
kernel:         4.11.8-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 guysmiley82 2017-07-24 22:05:59 EDT
*** Bug 1474592 has been marked as a duplicate of this bug. ***
Comment 15 Rafal Luzynski 2017-07-28 17:23:57 EDT
Similar problem has been detected:

I started installing a relatively large application (GIMP) over a slow connection so it took some minutes. While it was being installed I tried other activities of GNOME Software: tried to browse the applications of multiple subcategories of Graphics, all without success. I guess it was because some subsystem was busy installing the application and could not work in parallel. Finally I clicked the Software Sources window which also displayed a "waiting" spinner. I closed this window and GNOME Software crashed.

My guess is that in that moment the installation has been finished, the backend managed to deliver a list of software sources and tried to display it in a window which no longer existed.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: gtk_stack_set_visible_child_name
executable:     /usr/bin/gnome-software
journald_cursor: s=665f0be7caff462bbe59e0565e042238;i=bd58;b=19ea963d2f9349bc992edf88b1930b6b;m=3cb17d71;t=55566b687d053;x=9a457020c44be150
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-software-3.24.3-1.fc26
reason:         gnome-software killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 ahmed 2017-08-30 10:42:20 EDT
*** Bug 1486796 has been marked as a duplicate of this bug. ***
Comment 17 Ken Willey 2017-09-24 21:50:35 EDT
*** Bug 1495040 has been marked as a duplicate of this bug. ***
Comment 18 edbvkfvelv 2017-10-02 04:03:12 EDT
*** Bug 1497617 has been marked as a duplicate of this bug. ***
Comment 19 Sergey 2017-10-28 05:43:29 EDT
(In reply to Daniel from comment #13)
> Similar problem has been detected:
> 
> From the top menu, I opened Software Sources. I waited ten seconds, but the
> list of sources never loaded. I closed the windows, and GNOME Software
> promptly crashed. "kdevelop" was being installed in the background during
> this process.
> 
> reporter:       libreport-2.9.1
> backtrace_rating: 4
> cmdline:        /usr/bin/gnome-software --gapplication-service
> crash_function: gtk_stack_set_visible_child_name
> executable:     /usr/bin/gnome-software
> journald_cursor:
> s=f0582efc7b8a4e9faa3527895160b527;i=f00b8;
> b=79919e4e244648cc898cebaba2a8a952;m=78ec8a7751;t=553d613c58182;
> x=edb1672b7dcc659a
> kernel:         4.11.8-300.fc26.x86_64
> package:        gnome-software-3.24.3-1.fc26
> reason:         gnome-software killed by signal 11
> rootdir:        /
> runlevel:       N 5
> type:           CCpp
> uid:            1000

Similar problem when i just open Software Sources
Comment 20 Abner Escobar 2017-10-29 15:36:31 EDT
*** Bug 1507329 has been marked as a duplicate of this bug. ***
Comment 21 kentooo 2017-11-04 10:18:24 EDT
*** Bug 1509548 has been marked as a duplicate of this bug. ***
Comment 22 Petr Kriz 2017-11-05 12:52:25 EST
*** Bug 1509687 has been marked as a duplicate of this bug. ***
Comment 23 Kalev Lember 2017-11-23 08:18:31 EST
*** Bug 1411457 has been marked as a duplicate of this bug. ***
Comment 24 Kalev Lember 2017-11-23 08:19:03 EST
*** Bug 1406565 has been marked as a duplicate of this bug. ***
Comment 25 Kalev Lember 2017-11-23 08:19:38 EST
*** Bug 1493405 has been marked as a duplicate of this bug. ***
Comment 26 Kalev Lember 2017-11-23 08:20:02 EST
*** Bug 1509388 has been marked as a duplicate of this bug. ***
Comment 27 Kalev Lember 2017-11-23 08:21:17 EST
*** Bug 1513219 has been marked as a duplicate of this bug. ***
Comment 28 Kalev Lember 2017-11-23 08:21:39 EST
*** Bug 1513460 has been marked as a duplicate of this bug. ***
Comment 29 Kalev Lember 2017-11-23 08:22:04 EST
*** Bug 1513719 has been marked as a duplicate of this bug. ***
Comment 30 Kalev Lember 2017-11-23 08:22:54 EST
*** Bug 1513922 has been marked as a duplicate of this bug. ***
Comment 31 Kalev Lember 2017-11-23 08:23:21 EST
*** Bug 1514748 has been marked as a duplicate of this bug. ***
Comment 32 Kalev Lember 2017-11-23 08:23:47 EST
*** Bug 1516111 has been marked as a duplicate of this bug. ***
Comment 34 Fedora Update System 2017-12-17 04:21:04 EST
gnome-software-3.26.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e789c5491
Comment 35 Fedora Update System 2017-12-17 17:23:17 EST
gnome-software-3.26.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e789c5491

Note You need to log in before you can comment on or make changes to this bug.